#ifndef REPLACE_H
#define REPLACE_H

procedure start;
procedure Replace_Ammo;
procedure map_enter_ammo;
procedure Replace_Book;
procedure map_enter_book;
procedure Replace_Weap;
procedure map_enter_weapon;
procedure critter_weapons(variable item);                                       
procedure container_weapons(variable item);
procedure critter_ammo(variable item);                                   
procedure container_ammo(variable item);
procedure critter_books(variable item);
procedure container_books(variable item);                                                          
procedure remove_inventory(variable item, variable remove_item, variable replace_item);
procedure remove_from_tile(variable item, variable remove_item, variable replace_item);
procedure Item_Is_Not_Trunk_Item(variable item);

variable remove_item;
variable replace_item;
variable delete_item;
variable item_list;
variable item;
variable critter;
variable critter_list;
variable number_items_remove;

procedure remove_from_tile(variable item, variable remove_item, variable replace_item) begin 
variable tile;
variable elev;
   if(obj_pid(item) == remove_item) then 
      begin
         tile := tile_num(item);
         elev := elevation(item);                                                                                                              
         delete_item := tile_contains_pid_obj(tile_num(item), elevation(item), remove_item);                                      
         destroy_object(delete_item); 
         create_object_sid(replace_item, tile, elev, -1);                                                                                                                                                                                                                                                                                                                                                    
      end                                                                                                              
end
                                                           
procedure remove_inventory(variable item, variable remove_item, variable replace_item) begin
   if(obj_is_carrying_obj_pid(item, remove_item) > 0) then 
      begin                                                    
         while(obj_is_carrying_obj_pid(item, remove_item) > 0) do 
            begin                                                 
               delete_item := obj_carrying_pid_obj(item, remove_item);                                                     
               rm_obj_from_inven(item, delete_item);                                                                       
               if(tile_contains_obj_pid(1, 0, remove_item)) then 
                  begin                                                     
                     delete_item := tile_contains_pid_obj(1, 0, remove_item);                                                 
                     destroy_object(delete_item);                                                                             
                  end                                                                                                         
               number_items_remove := number_items_remove + 1;                                                             
            end                                                                                                            
         add_mult_objs_to_inven(item, create_object_sid(replace_item, 0, 0, -1), number_items_remove);                  
         number_items_remove := 0;                                                                                      
      end                                                                                                               
end

procedure container_books(variable item) begin
   call remove_from_tile(item, PID_GUNS_AND_BULLETS, PID_JD_SMALL_GUNS);                                                                    
   call remove_from_tile(item, PID_FIRST_AID_BOOK, PID_JD_FIRST_AID);                                                                       
   call remove_from_tile(item, PID_BIG_BOOK_OF_SCIENCE, PID_JD_SCIENCE);                                                                    
   call remove_from_tile(item, PID_DEANS_ELECTRONICS, PID_JD_REPAIR);                                                                       
   call remove_from_tile(item, PID_SCOUT_HANDBOOK, PID_JD_OUTDOORS);                                                                        
   call remove_inventory(item, PID_GUNS_AND_BULLETS, PID_JD_SMALL_GUNS);                                                                    
   call remove_inventory(item, PID_FIRST_AID_BOOK, PID_JD_FIRST_AID);                                                                       
   call remove_inventory(item, PID_BIG_BOOK_OF_SCIENCE, PID_JD_SCIENCE);                                                                    
   call remove_inventory(item, PID_DEANS_ELECTRONICS, PID_JD_REPAIR);                                                                       
   call remove_inventory(item, PID_SCOUT_HANDBOOK, PID_JD_OUTDOORS);                                                                        
end

procedure critter_books(variable item) begin            
   call remove_inventory(item, PID_GUNS_AND_BULLETS, PID_JD_SMALL_GUNS);                                                                    
   call remove_inventory(item, PID_FIRST_AID_BOOK, PID_JD_FIRST_AID);                                                                       
   call remove_inventory(item, PID_BIG_BOOK_OF_SCIENCE, PID_JD_SCIENCE);                                                                    
   call remove_inventory(item, PID_DEANS_ELECTRONICS, PID_JD_REPAIR);                                                                       
   call remove_inventory(item, PID_SCOUT_HANDBOOK, PID_JD_OUTDOORS);                                                                     
end
                              
procedure container_ammo(variable item) begin
   call remove_inventory(item, PID_10MM_JHP, PID_10MM_JHP);                                                                                 
   call remove_inventory(item, PID_10MM_AP, PID_10MM_AP);                                                                                   
   call remove_inventory(item, PID_EXPLOSIVE_ROCKET, PID_EXPLOSIVE_ROCKET);                                                                 
   call remove_inventory(item, PID_44_MAGNUM_JHP, PID_44_MAGNUM_JHP);                                                                       
   call remove_inventory(item, PID_FLAMETHROWER_FUEL, PID_FLAMETHROWER_FUEL);                                                               
   call remove_inventory(item, PID_14MM_AP, PID_14MM_AP);                                                                                   
   call remove_inventory(item, PID_223_FMJ, PID_223_FMJ);                                                                                   
   call remove_inventory(item, PID_5MM_JHP, PID_5MM_JHP);                                                                                   
   call remove_inventory(item, PID_ROCKET_AP, PID_ROCKET_AP);                                                                               
   call remove_inventory(item, PID_SMALL_ENERGY_CELL, PID_SMALL_ENERGY_CELL);                                                               
   call remove_inventory(item, PID_MICRO_FUSION_CELL, PID_MICRO_FUSION_CELL);                                                               
   call remove_inventory(item, PID_SHOTGUN_SHELLS, PID_SHOTGUN_SHELLS);                                                                     
   call remove_inventory(item, PID_44_FMJ_MAGNUM, PID_44_FMJ_MAGNUM);                                                                       
   call remove_inventory(item, PID_9MM_BALL, PID_9MM_BALL);                                                                                 
   call remove_inventory(item, PID_BBS, PID_BBS);                                                                                           
   call remove_inventory(item, PID_ROBO_ROCKET_AMMO, PID_ROBO_ROCKET_AMMO);                                                                 
   call remove_inventory(item, PID_45_CALIBER_AMMO, PID_45_CALIBER_AMMO);                                                                   
   call remove_inventory(item, PID_2MM_EC_AMMO, PID_2MM_EC_AMMO);                                                                           
   call remove_inventory(item, PID_4_7MM_CASELESS, PID_4_7MM_CASELESS);                                                                     
   call remove_inventory(item, PID_9MM_AMMO, PID_9MM_AMMO);                                                                                 
   call remove_inventory(item, PID_HN_NEEDLER_CARTRIDGE, PID_HN_NEEDLER_CARTRIDGE);                                                         
   call remove_inventory(item, PID_HN_AP_NEEDLER_CARTRIDGE, PID_HN_AP_NEEDLER_CARTRIDGE);                                                   
   call remove_inventory(item, PID_7_62MM_AMMO, PID_7_62MM_AMMO);                                                                           
   call remove_inventory(item, PID_FLAMETHROWER_FUEL_MK_II, PID_FLAMETHROWER_FUEL_MK_II);                                                   
   call remove_inventory(item, PID_152_AMMO, PID_152_AMMO);                                                                                 
   call remove_from_tile(item, PID_10MM_JHP, PID_10MM_JHP);                                                                                 
   call remove_from_tile(item, PID_10MM_AP, PID_10MM_AP);                                                                                   
   call remove_from_tile(item, PID_EXPLOSIVE_ROCKET, PID_EXPLOSIVE_ROCKET);                                                                 
   call remove_from_tile(item, PID_44_MAGNUM_JHP, PID_44_MAGNUM_JHP);                                                                       
   call remove_from_tile(item, PID_FLAMETHROWER_FUEL, PID_FLAMETHROWER_FUEL);                                                               
   call remove_from_tile(item, PID_14MM_AP, PID_14MM_AP);                                                                                   
   call remove_from_tile(item, PID_223_FMJ, PID_223_FMJ);                                                                                   
   call remove_from_tile(item, PID_5MM_JHP, PID_5MM_JHP);                                                                                   
   call remove_from_tile(item, PID_ROCKET_AP, PID_ROCKET_AP);                                                                               
   call remove_from_tile(item, PID_SMALL_ENERGY_CELL, PID_SMALL_ENERGY_CELL);                                                               
   call remove_from_tile(item, PID_MICRO_FUSION_CELL, PID_MICRO_FUSION_CELL);                                                               
   call remove_from_tile(item, PID_SHOTGUN_SHELLS, PID_SHOTGUN_SHELLS);                                                                     
   call remove_from_tile(item, PID_44_FMJ_MAGNUM, PID_44_FMJ_MAGNUM);                                                                       
   call remove_from_tile(item, PID_9MM_BALL, PID_9MM_BALL);                                                                                 
   call remove_from_tile(item, PID_BBS, PID_BBS);                                                                                           
   call remove_from_tile(item, PID_ROBO_ROCKET_AMMO, PID_ROBO_ROCKET_AMMO);                                                                 
   call remove_from_tile(item, PID_45_CALIBER_AMMO, PID_45_CALIBER_AMMO);                                                                   
   call remove_from_tile(item, PID_2MM_EC_AMMO, PID_2MM_EC_AMMO);                                                                           
   call remove_from_tile(item, PID_4_7MM_CASELESS, PID_4_7MM_CASELESS);                                                                     
   call remove_from_tile(item, PID_9MM_AMMO, PID_9MM_AMMO);                                                                                 
   call remove_from_tile(item, PID_HN_NEEDLER_CARTRIDGE, PID_HN_NEEDLER_CARTRIDGE);                                                         
   call remove_from_tile(item, PID_HN_AP_NEEDLER_CARTRIDGE, PID_HN_AP_NEEDLER_CARTRIDGE);                                                   
   call remove_from_tile(item, PID_7_62MM_AMMO, PID_7_62MM_AMMO);                                                                           
   call remove_from_tile(item, PID_FLAMETHROWER_FUEL_MK_II, PID_FLAMETHROWER_FUEL_MK_II);                                                   
   call remove_from_tile(item, PID_152_AMMO, PID_152_AMMO);                                                                                 
   call remove_inventory(item, PID_SCOPE, PID_SCOPE);                                                                                       
   call remove_inventory(item, PID_LASER_POINTER, PID_LASER_POINTER);                                                                       
   call remove_inventory(item, PID_LARGER_MAGAZINE, PID_LARGER_MAGAZINE);                                                               
   call remove_inventory(item, PID_SPEED_LOADER, PID_SPEED_LOADER);
   call remove_inventory(item, PID_UPGRADED_POWER_SERVOS, PID_UPGRADED_POWER_SERVOS);
   call remove_inventory(item, PID_IMPROVED_CAPACITOR_BATTERY, PID_IMPROVED_CAPACITOR_BATTERY);
   call remove_inventory(item, PID_LARGER_CAPACITOR_BATTERY, PID_LARGER_CAPACITOR_BATTERY);
   call remove_inventory(item, PID_MAGNETIC_FIELD_TARGETING_SYSTEM, PID_MAGNETIC_FIELD_TARGETING_SYSTEM);
   call remove_inventory(item, PID_HOT_WIRED_PLASMA_BOLT_CHAMBER, PID_HOT_WIRED_PLASMA_BOLT_CHAMBER);
   call remove_inventory(item, PID_IMPROVED_HEATER, PID_IMPROVED_HEATER);
   call remove_inventory(item, PID_ADVANCED_SUPER_BURN_MIX, PID_ADVANCED_SUPER_BURN_MIX);
   call remove_from_tile(item, PID_SCOPE, PID_SCOPE);                                                                                       
   call remove_from_tile(item, PID_LASER_POINTER, PID_LASER_POINTER);                                                                       
   call remove_from_tile(item, PID_LARGER_MAGAZINE, PID_LARGER_MAGAZINE);                                                               
   call remove_from_tile(item, PID_SPEED_LOADER, PID_SPEED_LOADER);
   call remove_from_tile(item, PID_UPGRADED_POWER_SERVOS, PID_UPGRADED_POWER_SERVOS);
   call remove_from_tile(item, PID_IMPROVED_CAPACITOR_BATTERY, PID_IMPROVED_CAPACITOR_BATTERY);
   call remove_from_tile(item, PID_LARGER_CAPACITOR_BATTERY, PID_LARGER_CAPACITOR_BATTERY);
   call remove_from_tile(item, PID_MAGNETIC_FIELD_TARGETING_SYSTEM, PID_MAGNETIC_FIELD_TARGETING_SYSTEM);
   call remove_from_tile(item, PID_HOT_WIRED_PLASMA_BOLT_CHAMBER, PID_HOT_WIRED_PLASMA_BOLT_CHAMBER);
   call remove_from_tile(item, PID_IMPROVED_HEATER, PID_IMPROVED_HEATER);
   call remove_from_tile(item, PID_ADVANCED_SUPER_BURN_MIX, PID_ADVANCED_SUPER_BURN_MIX);
end                                                                        

procedure critter_ammo(variable item) begin             
   call remove_inventory(item, PID_10MM_JHP, PID_10MM_JHP);
   call remove_inventory(item, PID_10MM_AP, PID_10MM_AP);
   call remove_inventory(item, PID_EXPLOSIVE_ROCKET, PID_EXPLOSIVE_ROCKET);
   call remove_inventory(item, PID_44_MAGNUM_JHP, PID_44_MAGNUM_JHP);
   call remove_inventory(item, PID_FLAMETHROWER_FUEL, PID_FLAMETHROWER_FUEL);
   call remove_inventory(item, PID_14MM_AP, PID_14MM_AP);
   call remove_inventory(item, PID_223_FMJ, PID_223_FMJ);
   call remove_inventory(item, PID_5MM_JHP, PID_5MM_JHP);
   call remove_inventory(item, PID_ROCKET_AP, PID_ROCKET_AP);
   call remove_inventory(item, PID_SMALL_ENERGY_CELL, PID_SMALL_ENERGY_CELL);
   call remove_inventory(item, PID_MICRO_FUSION_CELL, PID_MICRO_FUSION_CELL);
   call remove_inventory(item, PID_SHOTGUN_SHELLS, PID_SHOTGUN_SHELLS);
   call remove_inventory(item, PID_44_FMJ_MAGNUM, PID_44_FMJ_MAGNUM);
   call remove_inventory(item, PID_9MM_BALL, PID_9MM_BALL);
   call remove_inventory(item, PID_BBS, PID_BBS);
   call remove_inventory(item, PID_ROBO_ROCKET_AMMO, PID_ROBO_ROCKET_AMMO);
   call remove_inventory(item, PID_45_CALIBER_AMMO, PID_45_CALIBER_AMMO);
   call remove_inventory(item, PID_2MM_EC_AMMO, PID_2MM_EC_AMMO);
   call remove_inventory(item, PID_4_7MM_CASELESS, PID_4_7MM_CASELESS);
   call remove_inventory(item, PID_9MM_AMMO, PID_9MM_AMMO);
   call remove_inventory(item, PID_HN_NEEDLER_CARTRIDGE, PID_HN_NEEDLER_CARTRIDGE);
   call remove_inventory(item, PID_HN_AP_NEEDLER_CARTRIDGE, PID_HN_AP_NEEDLER_CARTRIDGE);
   call remove_inventory(item, PID_7_62MM_AMMO, PID_7_62MM_AMMO);
   call remove_inventory(item, PID_FLAMETHROWER_FUEL_MK_II, PID_FLAMETHROWER_FUEL_MK_II);
   call remove_inventory(item, PID_152_AMMO, PID_152_AMMO);
   call remove_inventory(item, PID_SCOPE, PID_SCOPE);                                                                                       
   call remove_inventory(item, PID_LASER_POINTER, PID_LASER_POINTER);                                                                       
   call remove_inventory(item, PID_LARGER_MAGAZINE, PID_LARGER_MAGAZINE);                                                               
   call remove_inventory(item, PID_SPEED_LOADER, PID_SPEED_LOADER);
   call remove_inventory(item, PID_UPGRADED_POWER_SERVOS, PID_UPGRADED_POWER_SERVOS);
   call remove_inventory(item, PID_IMPROVED_CAPACITOR_BATTERY, PID_IMPROVED_CAPACITOR_BATTERY);
   call remove_inventory(item, PID_LARGER_CAPACITOR_BATTERY, PID_LARGER_CAPACITOR_BATTERY);
   call remove_inventory(item, PID_MAGNETIC_FIELD_TARGETING_SYSTEM, PID_MAGNETIC_FIELD_TARGETING_SYSTEM);
   call remove_inventory(item, PID_HOT_WIRED_PLASMA_BOLT_CHAMBER, PID_HOT_WIRED_PLASMA_BOLT_CHAMBER);
   call remove_inventory(item, PID_IMPROVED_HEATER, PID_IMPROVED_HEATER);
   call remove_inventory(item, PID_ADVANCED_SUPER_BURN_MIX, PID_ADVANCED_SUPER_BURN_MIX);
end
                                                                             
procedure container_weapons(variable item) begin 
   call remove_inventory(item, PID_10MM_PISTOL, PID_10MM_PISTOL);
   call remove_inventory(item, PID_10MM_SMG, PID_10MM_SMG);
   call remove_inventory(item, PID_HUNTING_RIFLE, PID_HUNTING_RIFLE);
   call remove_inventory(item, PID_FLAMER, PID_FLAMER);
   call remove_inventory(item, PID_MINIGUN, PID_MINIGUN);
   call remove_inventory(item, PID_ROCKET_LAUNCHER, PID_ROCKET_LAUNCHER);
   call remove_inventory(item, PID_PLASMA_RIFLE, PID_PLASMA_RIFLE);
   call remove_inventory(item, PID_LASER_PISTOL, PID_LASER_PISTOL);
   call remove_inventory(item, PID_DESERT_EAGLE, PID_DESERT_EAGLE);
   call remove_inventory(item, PID_14MM_PISTOL, PID_14MM_PISTOL);
   call remove_inventory(item, PID_ASSAULT_RIFLE, PID_ASSAULT_RIFLE);
   call remove_inventory(item, PID_PLASMA_PISTOL, PID_PLASMA_PISTOL);
   call remove_inventory(item, PID_GATLING_LASER, PID_GATLING_LASER);
   call remove_inventory(item, PID_SHOTGUN, PID_SHOTGUN);
   call remove_inventory(item, PID_RIPPER, PID_RIPPER);
   call remove_inventory(item, PID_LASER_RIFLE, PID_LASER_RIFLE);
   call remove_inventory(item, PID_ALIEN_LASER_PISTOL, PID_ALIEN_LASER_PISTOL);
   call remove_inventory(item, PID_9MM_MAUSER, PID_9MM_MAUSER);
   call remove_inventory(item, PID_SNIPER_RIFLE, PID_SNIPER_RIFLE);
   call remove_inventory(item, PID_CATTLE_PROD, PID_CATTLE_PROD);
   call remove_inventory(item, PID_RED_RYDER_BB_GUN, PID_RED_RYDER_BB_GUN);
   call remove_inventory(item, PID_RED_RYDER_LE_BB_GUN, PID_RED_RYDER_LE_BB_GUN);
   call remove_inventory(item, PID_TURBO_PLASMA_RIFLE, PID_TURBO_PLASMA_RIFLE);
   call remove_inventory(item, PID_POWER_FIST, PID_POWER_FIST);
   call remove_inventory(item, PID_COMBAT_SHOTGUN, PID_COMBAT_SHOTGUN);
   call remove_inventory(item, PID_JONNY_BB_GUN, PID_JONNY_BB_GUN);
   call remove_inventory(item, PID_HK_CAWS, PID_HK_CAWS);
   call remove_inventory(item, PID_ROBO_ROCKET_LAUNCHER, PID_ROBO_ROCKET_LAUNCHER);
   call remove_inventory(item, PID_SCOPED_HUNTING_RIFLE, PID_SCOPED_HUNTING_RIFLE);
   call remove_inventory(item, PID_HK_P90C, PID_HK_P90C);
   call remove_inventory(item, PID_SPRINGER_RIFLE, PID_SPRINGER_RIFLE);
   call remove_inventory(item, PID_ZIP_GUN, PID_ZIP_GUN);
   call remove_inventory(item, PID_44_MAGNUM_REVOLVER, PID_44_MAGNUM_REVOLVER);
   call remove_inventory(item, PID_TOMMY_GUN, PID_TOMMY_GUN);
   call remove_inventory(item, PID_GREASE_GUN, PID_GREASE_GUN);
   call remove_inventory(item, PID_BOZAR, PID_BOZAR);
   call remove_inventory(item, PID_LIGHT_SUPPORT_WEAPON, PID_LIGHT_SUPPORT_WEAPON);
   call remove_inventory(item, PID_FN_FAL, PID_FN_FAL);
   call remove_inventory(item, PID_HK_G11, PID_HK_G11);
   call remove_inventory(item, PID_PIPE_RIFLE, PID_PIPE_RIFLE);
   call remove_inventory(item, PID_PANCOR_JACKHAMMER, PID_PANCOR_JACKHAMMER);
   call remove_inventory(item, PID_SOLAR_SCORCHER, PID_SOLAR_SCORCHER);
   call remove_inventory(item, PID_SAWED_OFF_SHOTGUN, PID_SAWED_OFF_SHOTGUN);
   call remove_inventory(item, PID_M60, PID_M60);
   call remove_inventory(item, PID_NEEDLER_PISTOL, PID_NEEDLER_PISTOL);
   call remove_inventory(item, PID_AVENGER_MINIGUN, PID_AVENGER_MINIGUN);
   call remove_inventory(item, PID_HK_G11E, PID_HK_G11E);
   call remove_inventory(item, PID_M72_GAUSS_RIFLE, PID_M72_GAUSS_RIFLE);
   call remove_inventory(item, PID_PHAZER, PID_PHAZER);
   call remove_inventory(item, PID_PK12_GAUSS_PISTOL, PID_PK12_GAUSS_PISTOL);
   call remove_inventory(item, PID_VINDICATOR_MINIGUN, PID_VINDICATOR_MINIGUN);
   call remove_inventory(item, PID_YK32_PULSE_PISTOL, PID_YK32_PULSE_PISTOL);
   call remove_inventory(item, PID_YK42B_PULSE_RIFLE, PID_YK42B_PULSE_RIFLE);
   call remove_inventory(item, PID_44_MAGNUM_SPEEDLOADER, PID_44_MAGNUM_SPEEDLOADER);
   call remove_inventory(item, PID_SUPER_CATTLE_PROD, PID_SUPER_CATTLE_PROD);
   call remove_inventory(item, PID_IMPROVED_FLAMETHROWER, PID_IMPROVED_FLAMETHROWER);
   call remove_inventory(item, PID_LASER_RIFLE_EXT_CAP, PID_LASER_RIFLE_EXT_CAP);
   call remove_inventory(item, PID_MAGNETO_LASER_PISTOL, PID_MAGNETO_LASER_PISTOL);
   call remove_inventory(item, PID_FN_FAL_NIGHT_SCOPE, PID_FN_FAL_NIGHT_SCOPE);
   call remove_inventory(item, PID_DESERT_EAGLE_EXT_MAG, PID_DESERT_EAGLE_EXT_MAG);
   call remove_inventory(item, PID_ASSAULT_RIFLE_EXT_MAG, PID_ASSAULT_RIFLE_EXT_MAG);
   call remove_inventory(item, PID_PLASMA_PISTOL_EXT_CART, PID_PLASMA_PISTOL_EXT_CART);
   call remove_inventory(item, PID_MEGA_POWER_FIST, PID_MEGA_POWER_FIST);
   call remove_inventory(item, PID_FN_FAL_HPFA, PID_FN_FAL_HPFA);
   call remove_inventory(item, PID_WASTELAND_WANDERER_RIFLE, PID_WASTELAND_WANDERER_RIFLE);
   call remove_inventory(item, PID_PISTOL, PID_PISTOL);
   call remove_inventory(item, PID_REVOLVER, PID_REVOLVER);
   call remove_inventory(item, PID_STEYR_IWS_2000, PID_STEYR_IWS_2000);
   call remove_inventory(item, PID_GGG, PID_GGG);
   call remove_from_tile(item, PID_10MM_PISTOL, PID_10MM_PISTOL);
   call remove_from_tile(item, PID_10MM_SMG, PID_10MM_SMG);
   call remove_from_tile(item, PID_HUNTING_RIFLE, PID_HUNTING_RIFLE);
   call remove_from_tile(item, PID_FLAMER, PID_FLAMER);
   call remove_from_tile(item, PID_MINIGUN, PID_MINIGUN);
   call remove_from_tile(item, PID_ROCKET_LAUNCHER, PID_ROCKET_LAUNCHER);
   call remove_from_tile(item, PID_PLASMA_RIFLE, PID_PLASMA_RIFLE);
   call remove_from_tile(item, PID_LASER_PISTOL, PID_LASER_PISTOL);
   call remove_from_tile(item, PID_DESERT_EAGLE, PID_DESERT_EAGLE);
   call remove_from_tile(item, PID_14MM_PISTOL, PID_14MM_PISTOL);
   call remove_from_tile(item, PID_ASSAULT_RIFLE, PID_ASSAULT_RIFLE);
   call remove_from_tile(item, PID_PLASMA_PISTOL, PID_PLASMA_PISTOL);
   call remove_from_tile(item, PID_GATLING_LASER, PID_GATLING_LASER);
   call remove_from_tile(item, PID_SHOTGUN, PID_SHOTGUN);
   call remove_from_tile(item, PID_RIPPER, PID_RIPPER);
   call remove_from_tile(item, PID_LASER_RIFLE, PID_LASER_RIFLE);
   call remove_from_tile(item, PID_ALIEN_LASER_PISTOL, PID_ALIEN_LASER_PISTOL);
   call remove_from_tile(item, PID_9MM_MAUSER, PID_9MM_MAUSER);
   call remove_from_tile(item, PID_SNIPER_RIFLE, PID_SNIPER_RIFLE);
   call remove_from_tile(item, PID_CATTLE_PROD, PID_CATTLE_PROD);
   call remove_from_tile(item, PID_RED_RYDER_BB_GUN, PID_RED_RYDER_BB_GUN);
   call remove_from_tile(item, PID_RED_RYDER_LE_BB_GUN, PID_RED_RYDER_LE_BB_GUN);
   call remove_from_tile(item, PID_TURBO_PLASMA_RIFLE, PID_TURBO_PLASMA_RIFLE);
   call remove_from_tile(item, PID_POWER_FIST, PID_POWER_FIST);
   call remove_from_tile(item, PID_COMBAT_SHOTGUN, PID_COMBAT_SHOTGUN);
   call remove_from_tile(item, PID_JONNY_BB_GUN, PID_JONNY_BB_GUN);
   call remove_from_tile(item, PID_HK_CAWS, PID_HK_CAWS);
   call remove_from_tile(item, PID_ROBO_ROCKET_LAUNCHER, PID_ROBO_ROCKET_LAUNCHER);
   call remove_from_tile(item, PID_SCOPED_HUNTING_RIFLE, PID_SCOPED_HUNTING_RIFLE);
   call remove_from_tile(item, PID_HK_P90C, PID_HK_P90C);
   call remove_from_tile(item, PID_SPRINGER_RIFLE, PID_SPRINGER_RIFLE);
   call remove_from_tile(item, PID_ZIP_GUN, PID_ZIP_GUN);
   call remove_from_tile(item, PID_44_MAGNUM_REVOLVER, PID_44_MAGNUM_REVOLVER);
   call remove_from_tile(item, PID_TOMMY_GUN, PID_TOMMY_GUN);
   call remove_from_tile(item, PID_GREASE_GUN, PID_GREASE_GUN);
   call remove_from_tile(item, PID_BOZAR, PID_BOZAR);
   call remove_from_tile(item, PID_LIGHT_SUPPORT_WEAPON, PID_LIGHT_SUPPORT_WEAPON);
   call remove_from_tile(item, PID_FN_FAL, PID_FN_FAL);
   call remove_from_tile(item, PID_HK_G11, PID_HK_G11);
   call remove_from_tile(item, PID_PIPE_RIFLE, PID_PIPE_RIFLE);
   call remove_from_tile(item, PID_PANCOR_JACKHAMMER, PID_PANCOR_JACKHAMMER);
   call remove_from_tile(item, PID_SOLAR_SCORCHER, PID_SOLAR_SCORCHER);
   call remove_from_tile(item, PID_SAWED_OFF_SHOTGUN, PID_SAWED_OFF_SHOTGUN);
   call remove_from_tile(item, PID_M60, PID_M60);
   call remove_from_tile(item, PID_NEEDLER_PISTOL, PID_NEEDLER_PISTOL);
   call remove_from_tile(item, PID_AVENGER_MINIGUN, PID_AVENGER_MINIGUN);
   call remove_from_tile(item, PID_HK_G11E, PID_HK_G11E);
   call remove_from_tile(item, PID_M72_GAUSS_RIFLE, PID_M72_GAUSS_RIFLE);
   call remove_from_tile(item, PID_PHAZER, PID_PHAZER);
   call remove_from_tile(item, PID_PK12_GAUSS_PISTOL, PID_PK12_GAUSS_PISTOL);
   call remove_from_tile(item, PID_VINDICATOR_MINIGUN, PID_VINDICATOR_MINIGUN);
   call remove_from_tile(item, PID_YK32_PULSE_PISTOL, PID_YK32_PULSE_PISTOL);
   call remove_from_tile(item, PID_YK42B_PULSE_RIFLE, PID_YK42B_PULSE_RIFLE);
   call remove_from_tile(item, PID_44_MAGNUM_SPEEDLOADER, PID_44_MAGNUM_SPEEDLOADER);
   call remove_from_tile(item, PID_SUPER_CATTLE_PROD, PID_SUPER_CATTLE_PROD);
   call remove_from_tile(item, PID_IMPROVED_FLAMETHROWER, PID_IMPROVED_FLAMETHROWER);
   call remove_from_tile(item, PID_LASER_RIFLE_EXT_CAP, PID_LASER_RIFLE_EXT_CAP);
   call remove_from_tile(item, PID_MAGNETO_LASER_PISTOL, PID_MAGNETO_LASER_PISTOL);
   call remove_from_tile(item, PID_FN_FAL_NIGHT_SCOPE, PID_FN_FAL_NIGHT_SCOPE);
   call remove_from_tile(item, PID_DESERT_EAGLE_EXT_MAG, PID_DESERT_EAGLE_EXT_MAG);
   call remove_from_tile(item, PID_ASSAULT_RIFLE_EXT_MAG, PID_ASSAULT_RIFLE_EXT_MAG);
   call remove_from_tile(item, PID_PLASMA_PISTOL_EXT_CART, PID_PLASMA_PISTOL_EXT_CART);
   call remove_from_tile(item, PID_MEGA_POWER_FIST, PID_MEGA_POWER_FIST);
   call remove_from_tile(item, PID_FN_FAL_HPFA, PID_FN_FAL_HPFA);
   call remove_from_tile(item, PID_WASTELAND_WANDERER_RIFLE, PID_WASTELAND_WANDERER_RIFLE);
   call remove_from_tile(item, PID_PISTOL, PID_PISTOL);
   call remove_from_tile(item, PID_REVOLVER, PID_REVOLVER);
   call remove_from_tile(item, PID_STEYR_IWS_2000, PID_STEYR_IWS_2000);
   call remove_from_tile(item, PID_GGG, PID_GGG);
end

procedure critter_weapons(variable item) begin
   call remove_inventory(item, PID_10MM_PISTOL, PID_10MM_PISTOL);
   call remove_inventory(item, PID_10MM_SMG, PID_10MM_SMG);
   call remove_inventory(item, PID_HUNTING_RIFLE, PID_HUNTING_RIFLE);
   call remove_inventory(item, PID_FLAMER, PID_FLAMER);
   call remove_inventory(item, PID_MINIGUN, PID_MINIGUN);
   call remove_inventory(item, PID_ROCKET_LAUNCHER, PID_ROCKET_LAUNCHER);
   call remove_inventory(item, PID_PLASMA_RIFLE, PID_PLASMA_RIFLE);
   call remove_inventory(item, PID_LASER_PISTOL, PID_LASER_PISTOL);
   call remove_inventory(item, PID_DESERT_EAGLE, PID_DESERT_EAGLE);
   call remove_inventory(item, PID_14MM_PISTOL, PID_14MM_PISTOL);
   call remove_inventory(item, PID_ASSAULT_RIFLE, PID_ASSAULT_RIFLE);
   call remove_inventory(item, PID_PLASMA_PISTOL, PID_PLASMA_PISTOL);
   call remove_inventory(item, PID_GATLING_LASER, PID_GATLING_LASER);
   call remove_inventory(item, PID_SHOTGUN, PID_SHOTGUN);
   call remove_inventory(item, PID_RIPPER, PID_RIPPER);
   call remove_inventory(item, PID_LASER_RIFLE, PID_LASER_RIFLE);
   call remove_inventory(item, PID_ALIEN_LASER_PISTOL, PID_ALIEN_LASER_PISTOL);
   call remove_inventory(item, PID_9MM_MAUSER, PID_9MM_MAUSER);
   call remove_inventory(item, PID_SNIPER_RIFLE, PID_SNIPER_RIFLE);
   call remove_inventory(item, PID_CATTLE_PROD, PID_CATTLE_PROD);
   call remove_inventory(item, PID_RED_RYDER_BB_GUN, PID_RED_RYDER_BB_GUN);
   call remove_inventory(item, PID_RED_RYDER_LE_BB_GUN, PID_RED_RYDER_LE_BB_GUN);
   call remove_inventory(item, PID_TURBO_PLASMA_RIFLE, PID_TURBO_PLASMA_RIFLE);
   call remove_inventory(item, PID_POWER_FIST, PID_POWER_FIST);
   call remove_inventory(item, PID_COMBAT_SHOTGUN, PID_COMBAT_SHOTGUN);
   call remove_inventory(item, PID_JONNY_BB_GUN, PID_JONNY_BB_GUN);
   call remove_inventory(item, PID_HK_CAWS, PID_HK_CAWS);
   call remove_inventory(item, PID_ROBO_ROCKET_LAUNCHER, PID_ROBO_ROCKET_LAUNCHER);
   call remove_inventory(item, PID_SCOPED_HUNTING_RIFLE, PID_SCOPED_HUNTING_RIFLE);
   call remove_inventory(item, PID_HK_P90C, PID_HK_P90C);
   call remove_inventory(item, PID_SPRINGER_RIFLE, PID_SPRINGER_RIFLE);
   call remove_inventory(item, PID_ZIP_GUN, PID_ZIP_GUN);
   call remove_inventory(item, PID_44_MAGNUM_REVOLVER, PID_44_MAGNUM_REVOLVER);
   call remove_inventory(item, PID_TOMMY_GUN, PID_TOMMY_GUN);
   call remove_inventory(item, PID_GREASE_GUN, PID_GREASE_GUN);
   call remove_inventory(item, PID_BOZAR, PID_BOZAR);
   call remove_inventory(item, PID_LIGHT_SUPPORT_WEAPON, PID_LIGHT_SUPPORT_WEAPON);
   call remove_inventory(item, PID_FN_FAL, PID_FN_FAL);
   call remove_inventory(item, PID_HK_G11, PID_HK_G11);
   call remove_inventory(item, PID_PIPE_RIFLE, PID_PIPE_RIFLE);
   call remove_inventory(item, PID_PANCOR_JACKHAMMER, PID_PANCOR_JACKHAMMER);
   call remove_inventory(item, PID_SOLAR_SCORCHER, PID_SOLAR_SCORCHER);
   call remove_inventory(item, PID_SAWED_OFF_SHOTGUN, PID_SAWED_OFF_SHOTGUN);
   call remove_inventory(item, PID_M60, PID_M60);
   call remove_inventory(item, PID_NEEDLER_PISTOL, PID_NEEDLER_PISTOL);
   call remove_inventory(item, PID_AVENGER_MINIGUN, PID_AVENGER_MINIGUN);
   call remove_inventory(item, PID_HK_G11E, PID_HK_G11E);
   call remove_inventory(item, PID_M72_GAUSS_RIFLE, PID_M72_GAUSS_RIFLE);
   call remove_inventory(item, PID_PHAZER, PID_PHAZER);
   call remove_inventory(item, PID_PK12_GAUSS_PISTOL, PID_PK12_GAUSS_PISTOL);
   call remove_inventory(item, PID_VINDICATOR_MINIGUN, PID_VINDICATOR_MINIGUN);
   call remove_inventory(item, PID_YK32_PULSE_PISTOL, PID_YK32_PULSE_PISTOL);
   call remove_inventory(item, PID_YK42B_PULSE_RIFLE, PID_YK42B_PULSE_RIFLE);
   call remove_inventory(item, PID_44_MAGNUM_SPEEDLOADER, PID_44_MAGNUM_SPEEDLOADER);
   call remove_inventory(item, PID_SUPER_CATTLE_PROD, PID_SUPER_CATTLE_PROD);
   call remove_inventory(item, PID_IMPROVED_FLAMETHROWER, PID_IMPROVED_FLAMETHROWER);
   call remove_inventory(item, PID_LASER_RIFLE_EXT_CAP, PID_LASER_RIFLE_EXT_CAP);
   call remove_inventory(item, PID_MAGNETO_LASER_PISTOL, PID_MAGNETO_LASER_PISTOL);
   call remove_inventory(item, PID_FN_FAL_NIGHT_SCOPE, PID_FN_FAL_NIGHT_SCOPE);
   call remove_inventory(item, PID_DESERT_EAGLE_EXT_MAG, PID_DESERT_EAGLE_EXT_MAG);
   call remove_inventory(item, PID_ASSAULT_RIFLE_EXT_MAG, PID_ASSAULT_RIFLE_EXT_MAG);
   call remove_inventory(item, PID_PLASMA_PISTOL_EXT_CART, PID_PLASMA_PISTOL_EXT_CART);
   call remove_inventory(item, PID_MEGA_POWER_FIST, PID_MEGA_POWER_FIST);
   call remove_inventory(item, PID_FN_FAL_HPFA, PID_FN_FAL_HPFA);
   call remove_inventory(item, PID_WASTELAND_WANDERER_RIFLE, PID_WASTELAND_WANDERER_RIFLE);
   call remove_inventory(item, PID_PISTOL, PID_PISTOL);
   call remove_inventory(item, PID_REVOLVER, PID_REVOLVER);
   call remove_inventory(item, PID_STEYR_IWS_2000, PID_STEYR_IWS_2000);
   call remove_inventory(item, PID_GGG, PID_GGG);
end

procedure Replace_Ammo begin
   item_list:=list_begin(LIST_GROUNDITEMS);
   while(item_list != 0) do
      begin
         item:=list_next(item_list);
         if (item) then
            begin
               if (Item_Is_Not_Trunk_Item(item)) then begin
               call container_ammo(item);
               end
            end
         else
            begin
               list_end(item_list);
               item_list:=0;
            end
      end
   critter_list:=list_begin(LIST_CRITTERS);
   while(critter_list != 0) do
      begin
         critter:=list_next(critter_list);
         if (critter) then
            begin
               if ((party_member_obj(obj_pid(critter)) != 0) == 0) and (critter != dude_obj) then begin
                  call critter_ammo(critter);
               end
            end
         else
            begin
               list_end(critter_list);
               critter_list:=0;
            end
      end
end

procedure map_enter_ammo begin
   if (get_sfall_global_int(cur_map_index + 10000) == 0) then
      begin
         set_sfall_global(cur_map_index + 10000, 1);
         call Replace_Ammo;
      end
end

procedure Replace_Book begin
   item_list:=list_begin(LIST_GROUNDITEMS);
   while(item_list != 0) do
      begin
         item:=list_next(item_list);
         if (item) then
            begin
               call container_books(item);
            end
         else
            begin
               list_end(item_list);
               item_list:=0;
            end
      end
   critter_list:=list_begin(LIST_CRITTERS);
   while(critter_list != 0) do
      begin
         critter:=list_next(critter_list);
         if (critter) then
            begin
               if ((party_member_obj(obj_pid(critter)) != 0) == 0) and (critter != dude_obj) then begin
                  call critter_books(critter);
               end
            end
         else
            begin
               list_end(critter_list);
               critter_list:=0;
            end
      end
end

procedure map_enter_book begin
   if (get_sfall_global_int(cur_map_index + 10500) == 0) then
      begin
         set_sfall_global(cur_map_index + 10500, 1);
         call Replace_Book;
      end
end

procedure Replace_Weap begin
   item_list:=list_begin(LIST_GROUNDITEMS);
   while(item_list != 0) do
      begin
         item:=list_next(item_list);
         if (item) then
            begin
               if (Item_Is_Not_Trunk_Item(item)) then begin
               call container_weapons(item);
               end
            end
         else
            begin
               list_end(item_list);
               item_list:=0;
            end
      end
   critter_list:=list_begin(LIST_CRITTERS);
   while(critter_list != 0) do
      begin
         critter:=list_next(critter_list);
         if (critter) then
            begin
               if ((party_member_obj(obj_pid(critter)) != 0) == 0) and (critter != dude_obj) then begin
                  call critter_weapons(critter);
               end
            end
         else
            begin
               list_end(critter_list);
               critter_list:=0;
            end
      end
end

procedure map_enter_weapon begin
   if (get_sfall_global_int(cur_map_index + 11000) == 0) then
      begin
         set_sfall_global(cur_map_index + 11000, 1);
         call Replace_Weap;
      end
end

procedure Item_Is_Not_Trunk_Item(variable item) begin
   if (obj_pid(item) != 455) and (obj_pid(item) != 549) and (obj_pid(item) != 831) and (obj_pid(item) != 832) and (obj_pid(item) != 833) and (obj_pid(item) != 834) and (obj_pid(item) != 835) and (obj_pid(item) != 836) then begin
      return 1;
   end
   return 0;
end
#endif // REPLACE_H









